### Method

# Adw ViewStackPagesget_selected_page

since: 1.4

#### Declaration [src]

    AdwViewStackPage*
    adw_view_stack_pages_get_selected_page (
      AdwViewStackPages* self
    )

#### Description [src]

Gets the `AdwViewStackPage` for the visible child of a view stack

Gets the `AdwViewStackPage` for the visible child of the associated stack.

Returns `NULL` if there’s no selected page.

Available since: 1.4

Gets property | `Adw.ViewStackPages:selected-page`

#### Return value

Type: `AdwViewStackPage`

The stack page.

The returned data is owned by the instance.
The return value can be `NULL`.